#!/tmp/busybox sh

#Adaptado por Coldflid para el Moto G

#ColdROM

export PATH=/tmp:$PATH
export BOOTCLASSPATH="/system/framework/core.jar:/system/framework/conscrypt.jar:/system/framework/okhttp.jar:/system/framework/core-junit.jar:/system/framework/bouncycastle.jar:/system/framework/ext.jar:/system/framework/framework.jar:/system/framework/framework2.jar:/system/framework/telephony-common.jar:/system/framework/voip-common.jar:/system/framework/mms-common.jar:/system/framework/android.policy.jar:/system/framework/services.jar:/system/framework/apache-xml.jar:/system/framework/webviewchromium.jar"

# Order matters here, up to BOOTCLASSPATH
FRAMEWORK="/system/framework/core.jar
/system/framework/conscrypt.jar
/system/framework/okhttp.jar
/system/framework/core-junit.jar
/system/framework/bouncycastle.jar
/system/framework/ext.jar
 /system/framework/framework.jar
/system/framework/framework2.jar
/system/framework/telephony-common.jar
/system/framework/voip-common.jar 
/system/framework/mms-common.jar
/system/framework/android.policy.jar
/system/framework/services.jar
/system/framework/apache-xml.jar
/system/framework/webviewchromium.jar"

# Odex Framework Rest
REST="/system/framework/*.jar"

# Odex apps
APPS="/system/app/*.apk"

# Odex Privapps
PRIV="/system/priv-app/*.apk"

# Set up busybox symlinks
for i in $(busybox --list)
do
	ln -s busybox /tmp/$i
done

# Framework
for i in $FRAMEWORK
do
	odex=`echo $i | sed -e 's/.jar/.odex/g'`
	dexopt-wrapper $i $odex $BOOTCLASSPATH
done

# Framework Rest
for i in $REST
do
	odex=`echo $i | sed -e 's/.jar/.odex/g'`
	dexopt-wrapper $i $odex $BOOTCLASSPATH
done

# System apps
for i in $APPS
do
	odex=`echo $i | sed -e 's/.apk/.odex/g'`
	dexopt-wrapper $i $odex $BOOTCLASSPATH
done

# System privapps
for i in $PRIV
do
	odex=`echo $i | sed -e 's/.apk/.odex/g'`
	dexopt-wrapper $i $odex $BOOTCLASSPATH
done

# wipe Dalvik-cache
rm -rf /data/dalvik-cache
rm -rf /cache/dalvik-cache
